From 8138b499f0edaf876f5e2dd4c4fda915caa8d3aa Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 24 Feb 2022 13:45:11 +1100
Subject: [PATCH v1] Fix BF test fail caused by bad timing

Discussion: https://www.postgresql.org/message-id/CAHut%2BPv%3De9Qd1TSYo8Og6x6Abfz3b9_htwinLp4ENPgV45DACQ%40mail.gmail.com
---
 src/test/subscription/t/028_row_filter.pl | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/test/subscription/t/028_row_filter.pl b/src/test/subscription/t/028_row_filter.pl
index 88dc865..89bb364 100644
--- a/src/test/subscription/t/028_row_filter.pl
+++ b/src/test/subscription/t/028_row_filter.pl
@@ -677,6 +677,8 @@ is( $result, qq(16
 $node_publisher->safe_psql('postgres',
 	"UPDATE tab_rowfilter_toast SET b = '1'");
 
+$node_publisher->wait_for_catchup($appname);
+
 # Check expected replicated rows for tab_rowfilter_toast
 # tab_rowfilter_toast filter: (a = repeat('1234567890', 200) AND b < '10')
 # UPDATE old  (repeat('1234567890', 200) ,'1234567890')  NO
-- 
1.8.3.1

